# samples/04_video_dec_gie/video_dec_gie_csvparser.cpp File Reference

`#include <iostream>`
`#include <cstdlib>`
`#include <cstring>`
`#include "gie_inference.h"`
`#include "video_dec_gie.h"`

Go to the source code of this file.

## Defines

#define | CHECK_OPTION_VALUE(argp)
#define | CSV_PARSE_CHECK_ERROR(condition, str)

## Functions

int | parseCsvArgs (context_t *ctx, GIE_Context *gie_ctx, int argc, char *argv[])

## Define Documentation

#define CHECK_OPTION_VALUE | ( | argp |  | ) |

Value:

    if (!*argp || (*argp)[0] == '-') \
                { \
                    cerr << "Error: value not specified for option " << arg << endl; \
                    goto error; \
                }

Definition at line 36 of file video_dec_gie_csvparser.cpp.

#define CSV_PARSE_CHECK_ERROR | ( | condition,
|  | str |  | ) |

Value:

    if (condition) { \
                    cerr << "Error: " << str << endl; \
                    goto error; \
                }

Definition at line 43 of file video_dec_gie_csvparser.cpp.

## Function Documentation

int parseCsvArgs | ( | context_t * | ctx,
|  | GIE_Context * | gie_ctx,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 97 of file video_dec_gie_csvparser.cpp.